Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Missing requirement: 1.0.0.v1555157849834(required artifact than not found 'org.eclipse.equinox.p2.iu; org.sonarlint.eclipse.jdt.feature.feature.group 0.0.0')
Missing requirement: 1.0.0.v1555157849834 [message #1805396] Sat, 13 April 2019 12:42 Go to next message
hossein mahdavifar is currently offline hossein mahdavifarFriend
Messages: 1
Registered: April 2019
Junior Member
i had this error for oomph eclipse installer on linux64X for opendaylight, could anyone guide me throw this error?
the installer version is newest in site and error occur on any eclipse version
--------------------------------------
ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the install because one or more required items could not be found.
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.resolve(ProfileTransactionImpl.java:425)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:337)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3335)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3263)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3244)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3144)
at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:575)
at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:701)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)
ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: artificial_root 1.0.0.v1555157849834
ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: artificial_root 1.0.0.v1555157849834 requires 'org.eclipse.equinox.p2.iu; org.sonarlint.eclipse.jdt.feature.feature.group 0.0.0' but it could not be found

Took 68 seconds.
There are failed tasks.
Press Back to choose different settings or Cancel to abort.
  • Attachment: setup.log
    (Size: 13.98KB, Downloaded 14 times)
Re: Missing requirement: 1.0.0.v1555157849834 [message #1805526 is a reply to message #1805396] Tue, 16 April 2019 18:11 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30450
Registered: July 2009
Senior Member
The setups for opendaylight were contributed via https://bugs.eclipse.org/bugs/show_bug.cgi?id=492545 for Michael Vorburger so perhaps it's best to ask on that Bugzilla about what might be wrong with those setups.
Previous Topic:Command line argument for specifying a Configuration
Next Topic:Necromancing the org.eclipse.amalgan.setup
Goto Forum:
  


Current Time: Wed Sep 18 20:12:31 GMT 2019

Powered by FUDForum. Page generated in 0.01582 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top